{% extends 'base.html' %}
{% load static %}

{% block body %}
<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-9">
            <h3>Pedido {{pedidoId}} > {{detalle.Producto.Nombre}}</h3>
        </div>
        <div class="col-12 col-md-3 text-md-right">
            <a href="{% url 'productor_pedido' id=pedidoId %}" class="btn btn-success">Volver</a>
        </div>
        <div class="col-12">
            <hr>
        </div>
    </div>

    <div class="row">
        <div class="col-6">

            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-12">

                            <form action="{% url 'productor_enviar_oferta' %}" method="post" class="">
                                {% csrf_token %}
                                <input type="hidden" name="pedido" value="{{pedidoId}}">
                                <input type="hidden" name="producto" value="{{detalle.Producto.Id}}">
                                <input type="hidden" name="calidad" value="{{detalle.Calidad.Id}}">
                                <input type="hidden" name="toneladas" value="{{detalle.Toneladas}}">
                                <div class="form-group">
                                    <label for="">Toneladas</label>
                                    <input type="number" name="" id="" value="{{detalle.Toneladas}}"
                                        class="form-control form-control-sm" disabled>
                                </div>
                                <div class="form-group">
                                    <label for="valor">Precio tonelada (US$)</label>
                                    <input type="number" name="precio" id="" value=""
                                        class="form-control form-control-sm">
                                </div>
                                <div class="form-group">
                                    <label for="calidad">Calidad</label>
                                    <select name="calidad" id="" class="form-control form-control-sm" disabled>
                                        {% for calidad in calidades %}
                                        <option value="{{calidad.Id}}" {% if calidad.Id == detalle.Calidad.Id %}selected{% endif %}>Calidad {{calidad.Nombre}}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                                <div class="text-right">
                                    <input type="submit" value="Confirmar oferta" class="btn btn-success btn-sm">
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>



        </div>
        <div class="col-12 text-right">
            <br>
            <!--<h4 class="font-weight-bold">Total: $0</h4>-->
        </div>
        <div class="col-12">

        </div>
    </div>


</div>
{% endblock %}